<?php
/*
 * Plugin Name: FindBoo
 * Version: 1.1
 * Plugin URI: http://www.findboo.com
 * Description: Search, watch, listen and play videos, music audios and games online with FindBoo.com search feature enabled from your Wordpress website. 
 * Author: support@findboo.com
 * Author URI: http://www.findboo.com
 */
class FindBooWidget extends WP_Widget
{
	/**
	* Declares the FindBooWidget class.
	*
	*/
	function FindBooWidget(){
		$widget_ops = array('classname' => 'widget_FindBoo', 'description' => __( "Search, watch, listen and play videos, music audios and games online with FindBoo.com search feature enabled from your Wordpress website.") );
		$control_ops = array('width' => 300, 'height' => 300);
		$this->WP_Widget('FindBoo', __('FindBoo Widget'), $widget_ops, $control_ops);
	}
	
	/**
	* Displays the Widget
	*
	*/
	function widget($args, $instance){
		extract($args);
		$title = apply_filters('widget_title', empty($instance['title']) ? '&nbsp;' : $instance['title']);
		$http = empty($instance['http']) ? 'http://play.findboo.com' : $instance['http'];
		$logourl = empty($instance['logourl']) ? 'http://www.findboo.com/changelogo.gif' : $instance['logourl'];
		$borderstyle = empty($instance['borderstyle']) ? 'solid' : $instance['borderstyle'];
		$bordercolor = empty($instance['bordercolor']) ? '#CCCCCC' : $instance['bordercolor'];
		$padding = empty($instance['padding']) ? '10px' : $instance['padding'];
		$borderwidth = empty($instance['borderwidth']) ? '1px' : $instance['borderwidth'];
		
		# Before the widget
		echo $before_widget;
		
		# The title
		if ( $title )
			echo $before_title . $title . $after_title;
		
		# Render the Widget
?>
<!--- start findboo widget here ---> 
<style type="text/css">
	.searchlabel {
	float: left;
	text-align: right;
	margin-right: 15px;
	width: 100px;
}

.highlighted:focus {
	border: 1px solid #900;
  background:#FFFF99
}

.label-field {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	font-style: normal;
	font-weight: bold;
	letter-spacing: 3px;
	word-spacing: 1pox;
	line-height: 2;
}

.clear { /* generic container (i.e. div) for floating buttons */
    overflow: hidden;
    width: 100%;
}
</style>
<div style="border-style:<?php echo borderstyle; ?>; border-color:<?php echo bordercolor; ?>; padding:<?php echo padding; ?>; border-width:<?php echo borderwidth; ?>;"> 
<form id="fbform" name="fbform" method="post" action="http://play.findboo.com/index.php"> 
  <p><label class="label-field">find (boo):</label><br/> 
  <input  class="highlighted" type="text" name="q" /><br/> 
  <label class="label-field">and:</label><br/> 
  <select name="t" class="highlighted"> 
      <option value="video">watching movies</option> 
      <option value="music">listen music</option> 
      <option value="games">playing games</option> 
      <option value="people">meet people</option> 
      <option value="all">all</option> 
  </select> </p> 
  <p> 
 <!--- <a class="button" href="#" onclick=" document.fbform.submit();"><span>findboo !</span></a> --->
 <input name="cmdSearch" type="submit" id="cmdSearch" value="findboo !" />
 <input type="hidden" name="rurl" value="<?php echo $http; ?>"/>
<input type="hidden" name="rlogourl" value="<?php echo $logourl; ?>"/></p>
</form> 
</div> 
<!--- end findboo widget here ---> 

<?php
	  # After the widget
		echo $after_widget;
	}
	
	/**
	* Saves the widgets settings.
	*
	*/
	function update($new_instance, $old_instance){
		$instance = $old_instance;
		$instance['title'] = strip_tags(stripslashes($new_instance['title']));
		$instance['http'] = strip_tags(stripslashes($new_instance['http']));
		$instance['borderstyle'] = strip_tags(stripslashes($new_instance['borderstyle']));
		$instance['bordercolor'] = strip_tags(stripslashes($new_instance['bordercolor']));
		
		$instance['padding'] = strip_tags(stripslashes($new_instance['padding']));
		$instance['borderwidth'] = strip_tags(stripslashes($new_instance['borderwidth']));
			
		
		return $instance;
	}
	
	/**
	* Creates the edit form for the widget.
	*
	*/
	function form($instance){
		//Defaults
		$instance = wp_parse_args( (array) $instance, array('title'=>'Find Everything ...', 'http'=>'http://www.findboo.com', 'logourl'=>'http://www.findboo.com/changelogo.gif', 'borderstyle'=>'solid', 'bordercolor'=>'#CCCCCC', 'tcolor1'=>'0x995500', 'padding'=>'10px', 'borderwidth'=>'1px') );		
		
		$title = htmlspecialchars($instance['title']);
		$http = htmlspecialchars($instance['http']);
		$logourl = htmlspecialchars($instance['logourl']);
		$borderstyle = htmlspecialchars($instance['borderstyle']);		
		$bordercolor = htmlspecialchars($instance['bordercolor']);
		$padding = htmlspecialchars($instance['padding']);
		$borderwidth = htmlspecialchars($instance['borderwidth']);
	
		
		# Output the options
		echo '<p style="text-align:right;"><label for="' . $this->get_field_name('title') . '">' . __('Title:') . ' <input style="width: 250px;" id="' . $this->get_field_id('title') . '" name="' . $this->get_field_name('title') . '" type="text" value="' . $title . '" /></label></p>';
		# Fill http
		echo '<p style="text-align:right;"><label for="' . $this->get_field_name('http') . '">' . __('Your Website URL:') . ' <input style="width: 100px;" id="' . $this->get_field_id('http') . '" name="' . $this->get_field_name('http') . '" type="text" value="' . $http . '" /></label></p>';
		# Fill logourl
		echo '<p style="text-align:right;"><label for="' . $this->get_field_name('logourl') . '">' . __('Logo (JPG, GIF, PNG) URL:') . ' <input style="width: 250px;" id="' . $this->get_field_id('logourl') . '" name="' . $this->get_field_name('logourl') . '" type="text" value="' . $logourl . '" /></label></p>';
		# Fill borderstyle
		echo '<p style="text-align:right;"><label for="' . $this->get_field_name('borderstyle') . '">' . __('Border Style:') . ' <input style="width: 100px;" id="' . $this->get_field_id('borderstyle') . '" name="' . $this->get_field_name('borderstyle') . '" type="text" value="' . $borderstyle . '" /></label></p>';
		echo '<p style="text-align:right;"><label for="' . $this->get_field_name('bordercolor') . '">' . __('Border Color:') . ' <input style="width: 100px;" id="' . $this->get_field_id('bordercolor') . '" name="' . $this->get_field_name('bordercolor') . '" type="text" value="' . $bordercolor . '" /></label></p>';
		echo '<p style="text-align:right;"><label for="' . $this->get_field_name('padding') . '">' . __('Padding:') . ' <input style="width: 100px;" id="' . $this->get_field_id('padding') . '" name="' . $this->get_field_name('padding') . '" type="text" value="' . $padding . '" /></label></p>';
		echo '<p style="text-align:right;"><label for="' . $this->get_field_name('borderwidth') . '">' . __('Border Width:') . ' <input style="width: 100px;" id="' . $this->get_field_id('borderwidth') . '" name="' . $this->get_field_name('borderwidth') . '" type="text" value="' . $borderwidth . '" /></label></p>';
		
	}

}// END class
	
	/**
	* 
	*
	* Calls 'widgets_init' action after the widget has been registered.
	*/
	function FindBooInit() {
	register_widget('FindBooWidget');
	}	
	add_action('widgets_init', 'FindBooInit');
?>